Support

Got any issues, suggestions or feedback? We would love to hear it!

General Support

What versions of Photoshop do you support?

All our products are supported by Photoshop CS6, CC and CC 2014, unless stated otherwise on the product’s page. Unfortunately we are not able to support any version lower than CS6.

How can I make a suggestion or leave feedback?

We would love to hear any feedback or suggestions you might have about any of our products. Please email dan@107.170.54.189.

I found a bug! How can I report it?

If you encounter any bugs or glitches while using any of our products please report them to bugs@107.170.54.189. We really appreciate your help!

Help! The extension didn't install properly!

Either try reinstall the Photoshop extension or if that doesn’t work, send an email to dan@107.170.54.189 and we will get back to you as soon as possible.

Any other enquiries?

Please contact Dan from D&K on dan@107.170.54.189.

Velositey Version 2

Where did some of the tools go from Velositey version 1?

To tailor a better experience we have decided to split the tools in Velositey to save screen real estate and time while using them in Photoshop. This also means that we’re building more extensions with more tools, including those included with Velositey version 1.

Our next upcoming addon is named Inspectre. We hope to release it soon. In the meanwhile, we have left version 1 online just incase you still want access to these tools.

I'm having installation errors on Photoshop CS6 - Manifest.xml

Unfortunately this seems like a native issue with Extension manager and Photoshop.

1. To resolve this error, make sure the file you are clicking on is named com.dkagency.velositey.zxp

2. If this doesn’t work, make sure you have Adobe Extension Manager installed.

3. Finally if this still doesn’t work, try following the steps in these two links:
http://www.retouchingacademylab.com/faq-installation-error-2/
https://github.com/cameronmcefee/guideguide-support/issues/72